summaryrefslogtreecommitdiff
path: root/genqrcode/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'genqrcode/autogen.sh')
-rwxr-xr-xgenqrcode/autogen.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/genqrcode/autogen.sh b/genqrcode/autogen.sh
new file mode 100755
index 0000000000..ab14d6c040
--- /dev/null
+++ b/genqrcode/autogen.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+set -e
+
+if [ `uname -s` = Darwin ]; then
+ LIBTOOLIZE=glibtoolize
+else
+ LIBTOOLIZE=libtoolize
+fi
+
+ACLOCAL_OPT=""
+if [ -d /usr/local/share/aclocal ]; then
+ ACLOCAL_OPT="-I /usr/local/share/aclocal"
+elif [ -d /opt/local/share/aclocal ]; then
+ ACLOCAL_OPT="-I /opt/local/share/aclocal"
+elif [ -d /usr/share/aclocal ]; then
+ ACLOCAL_OPT="-I /usr/share/aclocal"
+fi
+
+if [ ! -d use ]; then
+ mkdir use
+fi
+
+if [ ! -d m4 ]; then
+ mkdir m4
+fi
+
+autoheader
+
+aclocal $ACLOCAL_OPT
+
+$LIBTOOLIZE --automake --copy
+automake --add-missing --copy
+
+autoconf